import { Position } from '@mintplayer/ng-bootstrap';
import { PointerData } from '../interfaces/pointer-data';
import * as i0 from "@angular/core";
export declare class BsResizeGlyphDirective {
    private readonly resizable;
    constructor(resizable: any);
    positions: string;
    glyphClass: boolean;
    activeClass: boolean;
    set bsResizeGlyph(value: Position[]);
    onMouseDown(ev: MouseEvent): void;
    onTouchStart(ev: TouchEvent): void;
    onMouseMove(ev: MouseEvent): void;
    onTouchMove(ev: TouchEvent): void;
    onMouseUp(ev: Event): void;
    onTouchEnd(ev: Event): void;
    onPointerDown(): void;
    private isBusy;
    onPointerMove(ev: PointerData): void;
    onPointerUp(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BsResizeGlyphDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BsResizeGlyphDirective, "[bsResizeGlyph]", never, { "bsResizeGlyph": "bsResizeGlyph"; }, {}, never, never, false, never>;
}
